package com.gree.mall.manager.bean.apply;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.plus.entity.WorkerInvolvePrincipal;
import com.gree.mall.manager.plus.entity.WorkerInvolvePrincipalItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class WorkerInvolvePrincipalVO   {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    @ApiModelProperty(value = "审核负责人")
    private String principal;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "网点编号")
    private String websitId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属销售公司")
    private String belongCompany;


    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;
}
